Metacat - Bug #3368

security issue with skins
06/05/2008 04:26 PM - Shaun Walbridge

Status: Resolved Start date: 06/05/2008
Priority: Normal Due date:

Assignee: Michael Daigle % Done: 0%
Category: registry Estimated time: 0.00 hour
Target version: 1.9.2 Spent time: 0.00 hour
Bugzilla-ld: 3368

Description

The Perl code uses configuration files to get required settings. These settings are currently being served up by Tomcat, but should
instead be accessed through filehandles on disk (e.g. /var/metacat/configuration/configuration.file) in a folder not readable via the
web.

Related issues:
Is duplicate of Metacat - Bug #1530: cfg is readable by everyone Resolved 04/22/2004

History

#1 - 06/09/2008 04:46 PM - Jing Tao

Short solution for 1.8.1 release:

in registry_installtion.html, a paragraph was added to change the owner and access permission of those files. 1.9 release will come up a better
solution. So move it to 1.9 release.

#2 - 02/09/2010 01:25 PM - Michael Daigle

We changed the configuration files to be <skin-name>.cfg and restricted access to all cfg files via web.xml

#4 - 02/09/2010 02:06 PM - Michael Daigle

Correction, we are using <skin-name>.properties files which is also protected in web.xml.

Removing all .cfg files and the protection in web.xml for them since they are no longer used.

#5 - 03/27/2013 02:23 PM - Redmine Admin
Original Bugzilla ID was 3368
